<?php

namespace App\Generated\V1_1\Messages\User;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class RefreshMessage extends Message
{
    use ValueHelper;

    protected $uid;
    protected $imAccount;
    protected $imSig;

    public function requestRules()
    {
        return [
        ];
    }

    public function responseRules()
    {
        return [
            ['uid', 'uid', 'bail|integer', Constants::INTEGER, null],
            ['imAccount', 'im_account', 'bail|string', Constants::STRING, null],
            ['imSig', 'im_sig', 'bail|string', Constants::STRING, null],
        ];
    }

    public function setResponse($uid, $imAccount, $imSig)
    {
        $this->uid = $uid;
        $this->imAccount = $imAccount;
        $this->imSig = $imSig;
    }

}
